Bug 478256 - Calling Eclipse Splash Screen causing Studio to execute itself
Calling Eclipse Splash Screen causing Studio to execute itself
Status: CLOSED DEFERRED
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
unspecified
i386 Mac OS
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:12 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 13:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:12:37 EST
In /Applications/Penrose\ Studio.app/Contents/MacOS/configuration/config.ini

osgi.splashPath=platform:/base/plugins/org.safehaus.penrose.studio

will cause Penrose Studio to launch itself indefinitely. 

A workaround: 

by removing splashscreen by setting 

osgi.splashPath=

will fix the infinite launching problem. 




=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-291',
          'assignee' => 'jimyang',
          'summary' => 'Calling Eclipse Splash Screen causing Studio to execute itself',
          'id' => '10984',
          'updated' => '2008-04-07 17:41:56.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'In /Applications/Penrose\\ Studio.app/Contents/MacOS/configuration/config.ini

osgi.splashPath=platform:/base/plugins/org.safehaus.penrose.studio

will cause Penrose Studio to launch itself indefinitely. 

A workaround: 

by removing splashscreen by setting 

osgi.splashPath=

will fix the infinite launching problem. 


',
          'created' => '2008-04-07 10:58:42.0',
          'type' => '1'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.